﻿@page "/inventory"

@inject ClipboardService Clipboard
@inject UserAppState UserAppState
@inject NavigationManager NavManager
@inject ISnackbar Snackbar
@inject IDialogService DialogService

@implements IDisposable

 <LoadingWrapper RequiresAuth="true" @bind-ProgressCount="@CurrentProgress" TotalProgress="@TotalProgress">
	﻿<MudTable Hover="true"                                                                                 
			   Breakpoint="Breakpoint.Sm"                                                                  
			   FixedHeader="true"             
			   Items="@InventoryItems"
			   GroupBy="@groupDef"
			   Dense="true">                                                                               
		<HeaderContent>                                  
			@if (ShouldShowUsernames)
			{
			<MudTh>Username</MudTh>
			}
			<MudTh>Ticker</MudTh>                                                                          
			<MudTh>Amount</MudTh>                                                                          
		</HeaderContent>
		<GroupHeaderTemplate>
			<MudTh Class="mud-table-cell-custom-group" colspan="5"><MudText Typo="Typo.h6">@($"{context.GroupName}: {context.Key}")</MudText></MudTh>
		</GroupHeaderTemplate>
		<RowTemplate>
			@if (ShouldShowUsernames)
			{
			<MudTd>@context.Username</MudTd>
			}
			<MudTd>@context.Ticker</MudTd>                                                                                
			<MudTd>@context.Amount</MudTd>                                                                                                                                                         
		</RowTemplate>                                                                                     
	</MudTable>                                                                                            
</LoadingWrapper>                                                                                          
